EDIT - feature request #8093

harmonize registrationld links and make tesing easier
02/11/2019 04:20 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal

Description

registrationld links are using in most cases the persistend identifier as href attribute. In one case the according Drupal path is being
used.

Using the persistend identifier as link reference complicates testing since the user or test framework is always redirected to the
production portal. In test environmets using the drupal path registration/{url encoded persistend identifier} would be the preferred
solution

e Harmonize all registration|D links to make them really consistent
e Settings option to swith the portal from using the drupal path registration/{url encoded persistend http identifier} to using the
persistend http identifier directly as link reference:
o Form element: whitespace separated list of hostnames, , The persistend http identifier will directly br used as link reference
if the host name of the server matches one of the strings.

Associated revisions

Revision 977bba78 - 02/22/2019 06:17 PM - Andreas Kohlbecker

fix #8093 registration identifier links configurable

History

#1 - 02/11/2019 04:20 PM - Andreas Kohlbecker

- Tracker changed from bug to feature request

#2 - 02/22/2019 06:17 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|977bba78560ff1387b601420f9c55409ac19fd92.

#3 - 02/22/2019 06:18 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
